--NAME:default_gesa_emc_datadomain
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_EMC_DATADOMAIN_ALERTS,GESA_EMC_DATADOMAIN_FAN,GESA_EMC_DATADOMAIN_PSU,GESA_EMC_DATADOMAIN_DISK,GESA_EMC_DATADOMAIN_NVRAM

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_emc_datadomain','pattern de supervision des data domain emc');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_EMC_DATADOMAIN_PSU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_PSU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_PSU'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_EMC_DATADOMAIN_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_FAN'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_EMC_DATADOMAIN_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_EMC_DATADOMAIN_NVRAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_NVRAM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_NVRAM'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_EMC_DATADOMAIN_ALERTS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_ALERTS'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_EMC_DATADOMAIN_ALERTS'),
	300000,3);
