--NAME:default_gesa_snmp_cyberoam
--INFRA:GESA
--PLUGINS:GESA_SNMP_CYBEROAM_ENV,GESA_SNMP_CYBEROAM_LOAD,GESA_SNMP_CYBEROAM_MEM_SWAP,GESA_SNMP_CYBEROAM_STORAGE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_cyberoam','pattern de supervision des firewall cyberoam');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CYBEROAM_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_ENV'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_cyberoam_env -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CYBEROAM_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_cyberoam_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CYBEROAM_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_MEM_SWAP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_cyberoam_mem_swap -a $IP $SNMP_COM 80,10 90,50',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CYBEROAM_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_STORAGE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_cyberoam_storage -a $IP $SNMP_COM 70 80',300000,NULL,NULL,NULL,NULL,NULL,3);
