--NAME:default_gesa_snmp_dell_switch
--INFRA:GESA
--PLUGINS:CHECK_ICMP,GESA_SNMP_LOAD,GESA_SNMP_LINUX_MEM,GESA_SNMP_DELL_SW_ENVIRONMENT

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_dell_switch','pattern de supervision des switch dell');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_dell_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_dell_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_dell_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_DELL_SW_ENVIRONMENT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_dell_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_DELL_SW_ENVIRONMENT'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_DELL_SW_ENVIRONMENT'),
	300000,3);
