--NAME:default_gesa_snmp_hikvision_camera
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_HIKVISION_CAMERA_DISK,GESA_SNMP_HIKVISION_CAMERA_MEM,GESA_SNMP_HIKVISION_CAMERA_LOAD


INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_hikvision_camera','pattern de supervision des caméras hikvision');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_hikvision_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HIKVISION_CAMERA_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_hikvision_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_MEM'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HIKVISION_CAMERA_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_hikvision_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HIKVISION_CAMERA_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_hikvision_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HIKVISION_CAMERA_LOAD'),
	300000,3);
