--NAME:gesa_snmp_hp_san_vsa
--INFRA:GESA
--PLUGINS:GESA_SNMP_LOAD,GESA_SNMP_LINUX_MEM,GESA_ICMP,GESA_SNMP_HP_SAN_MODULES,GESA_SNMP_HP_SAN_CLUSTER,GESA_SNMP_HP_SAN_RAID

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'gesa_snmp_hp_san_vsa','pattern de supervision des san HP VSA');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HP_SAN_VSA_CLUSTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER'),
	300000,2);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HP_SAN_VSA_MODULES',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_MODULES'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_MODULES'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),
    300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HP_SAN_VSA_DISKS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_DISKS'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_DISKS'),
    300000,3);    


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_HP_SAN_VSA_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_RAID'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_RAID'),
    300000,3);    

