--NAME:default_gesa_snmp_lenovo
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_LENOVO_SYSHEALTH,GESA_SNMP_LENOVO_TEMP,GESA_SNMP_LENOVO_DISK

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_lenovo','pattern de supervision des serveurs lenovo');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_lenovo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-H $IP -w 200,50% -c 500,100%','300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_LENOVO_SYSHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_lenovo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LENOVO_SYSHEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_lenovo_syshealth -a $IP $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_LENOVO_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_lenovo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LENOVO_TEMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_lenovo_temp -a $IP $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_LENOVO_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_lenovo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LENOVO_DISK'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_lenovo_diskhealth -a $IP $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);
