--NAME:default_gesa_netgear_switch
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_SW_NETGEAR_LOAD,GESA_SNMP_SW_NETGEAR_MEM,GESA_SNMP_SW_NETGEAR_ENV

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_netgear_switch','pattern de supervision des switchs netgear');


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_netgear_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SW_NETGEAR_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_netgear_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SW_NETGEAR_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_netgear_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SW_NETGEAR_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_netgear_switch'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_ENV'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_NETGEAR_ENV'),
	300000,3);




-- 'CHECK_SNMP_SW_NETGEAR_LOAD' => 'CPU',
-- 'CHECK_SNMP_SW_NETGEAR_MEM' => 'Mémoire',
-- 'CHECK_SNMP_SW_NETGEAR_ENV' => 'Etat de santé',
