--NAME:default_gesa_snmp_switch_Hp1910
--INFRA:GESA
--PLUGINS:GESA_SNMP_SW_HP_1910_LOAD,GESA_SNMP_SW_HP_1910_MEM,GESA_SNMP_SW_HP_1910_TEMP,GESA_SNMP_SW_HP_1910_POE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_switch_Hp1910','pattern de supervision des switchs Hp 1910');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_1910_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_1910_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_hp1910_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_1910_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_1910_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_hp1910_mem -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_1910_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_1910_TEMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_hp1910_temp -a $IP $SNMP_COM 40 50',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_SW_HP_1910_POE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_HP_1910_POE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_hp1910_poe -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

