--NAME:default_gesa_ssh_sanhp
--INFRA:GESA
--PLUGINS:GESA_SSH_SAN_HP_CNTL,GESA_SSH_SAN_HP_DISK,GESA_SSH_SAN_HP_FAN,GESA_SSH_SAN_HP_LOAD,GESA_SSH_SAN_HP_RAID,GESA_SSH_SAN_HP_STORAGE,GESA_ICMP

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_ssh_sanhp','pattern de supervision des san Hp');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
  300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_FAN'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_FAN'),
  300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_LOAD'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_LOAD'),
  300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_RAID'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_RAID'),
  300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_STORAGE'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_STORAGE'),
  300000,3);    

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_DISK'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_DISK'),
  300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SSH_SAN_HP_CNTL',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_ssh_sanhp'), 
  (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_CNTL'),
  (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SSH_SAN_HP_CNTL'),
  300000,3);  
