--NAME:default_gesa_xclarity
--INFRA:GESA
--PLUGINS:GESA_SNMP_XCLARITY_MEM,GESA_SNMP_XCLARITY_CPU_HEALTH,GESA_SNMP_XCLARITY_LOAD,GESA_SNMP_XCLARITY_MEM_HEALTH,GESA_SNMP_XCLARITY_POWER_HEALTH,GESA_SNMP_XCLARITY_VOLT_HEALTH,GESA_SNMP_XCLARITY_FAN_HEALTH,GESA_SNMP_XCLARITY_TEMP_HEALTH,GESA_SNMP_XCLARITY_RAID

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_xclarity','Pattern par default pour les Lenovo Xclarity');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_mem -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY 80 90','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_CPU_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_CPU_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY cpu','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_load -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY 80 90','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_MEM_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_MEM_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY mem','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_POWER_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_POWER_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY power','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_VOLT_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_VOLT_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY volt','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_FAN_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_FAN_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY fan','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_TEMP_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_TEMP_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_health -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY temp','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_XCLARITY_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_XCLARITY_RAID'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_xclarity_raid -a $IP $SNMP3_USER $SNMP3_AUTH_PROT $SNMP3_AUTH_KEY','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);
