--NAME:default_gesa_zyxel_usg
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_ZYXEL_USG_LOAD,GESA_SNMP_ZYXEL_USG_MEM,GESA_SNMP_ZYXEL_USG_VER,GESA_SNMP_ZYXEL_USG_SESS,GESA_SNMP_ZYXEL_USG_FLASH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_zyxel_usg','pattern de supervision des firewalls zyxel USG');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_mem -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_VER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_VER'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_ver -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_SESS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_SESS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_sess -a $IP $SNMP_COM 1000 5000',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_ZYXEL_USG_FLASH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ZYXEL_USG_FLASH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_flash -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

