--NAME:GESA_SNMP_EPDU_ENV
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_EPDU_ENV','/usr/local/esia/plugins/check_nrpe','default','NULL','-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_epdu_env -a $IP $SNMP_COM',300000,'Récupère le status de la température, humidté et input du pdu','false',7,'null');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EPDU_ENV'),'GAUGE','#mA=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'mA',0,-1,'number','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EPDU_ENV'),'GAUGE','#VA=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'VA',0,-1,'number','AREA','#FF00FF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EPDU_ENV'),'GAUGE','#Watts=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'Watts',0,-1,'number','AREA','#58ACFA','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EPDU_ENV'),'GAUGE','#Wh=([0-9]*[\,\.]*[0-9]*)#',300,DEFAULT,'Wh',0,-1,'number','AREA','#000000','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
