--NAME:GESA_SNMP_EXTREME_NETWORKS_AP_LOAD
--INFRA:GESA

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_html_template,plugin_manufacturer,plugin_tag)
    VALUES ('GESA_SNMP_EXTREME_NETWORKS_AP_LOAD','/usr/local/esia/plugins/check_nrpe','default','-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_extreme_ap_cpu -a $IP $SNMP_COM 80 90','300000','Retourne l''utilisation cpu d''un access point extreme network','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','Extreme Network','EXTREME,AP,CPU,LOAD');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_LOAD'),'GAUGE','#cpu=([0-9\.]*)#','300','cpu','0','100','percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');
