--NAME:GESA_SNMP_ILO_TEMP
--INFRA:GESA

INSERT INTO esia_plugins VALUES (DEFAULT,'GESA_SNMP_ILO_TEMP','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_temp -a $IP $SNMP_COM',300000,'Test via la GESA les capteurs de température des serveurs HP.
Le test doit être exécuté sur l''interface iLO du serveur. 
','false',7,NULL,'HP','ILO,TEMP');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_TEMP'),'GAUGE','#memory=([0-9]*)#',300,DEFAULT,'memory',0,200,'temperature','LINE1','#01DF01',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_TEMP'),'GAUGE','#system=([0-9]*)#',300,DEFAULT,'system',0,200,'temperature','LINE1','#0174DF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_TEMP'),'GAUGE','#cpu=([0-9]*)#',300,DEFAULT,'cpu',0,200,'temperature','LINE1','#A4A4A4',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_TEMP'),'GAUGE','#ambient=([0-9]*)#',300,DEFAULT,'ambient',0,200,'temperature','LINE1','#58D3F7',NULL,NULL,NULL);
