--NAME:GESA_SNMP_INTERFACE_V1
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_INTERFACE_V1','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_interface_v1 -a $IP $SNMP_COM <interface_name> <warning in kbs, out kbs> <critical in kbs, out kbs>',300000,'Récupère via la GESA la bande passante utilisée d''une interface. Utilise SNMPv1 
 PREFERER L''UTILISATION DE LA V2 
 check_nrpe -H 10.11.0.172 -p 5666 -u -t 50 -c check_interface_v1 -a 10.7.0.9 public eth0 30,40 50,60 ','false',7,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_INTERFACE_V1'),'GAUGE','#out=([0-9]*\.[0-9])Kbps#',300,DEFAULT,'out_traffic',0,-1,'Kbps','AREA','#83bc00',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_INTERFACE_V1'),'GAUGE','#in=([0-9]*\.[0-9])Kbps#',300,DEFAULT,'in_traffic',0,-1,'Kbps','LINE1','#007FFF',NULL,NULL,NULL);
