--NAME:GESA_WMI_DNS_STATS
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_WMI_DNS_STATS','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_wmi_dns_stat -a $IP',300000,'Test via la GESA le service DNS avec le protocole WMI (microsoft)','false',7,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#TotalQueryReceivedPersec\''=([0-9]*)#',300,DEFAULT,'TotalQuery',0,-1,'Queries/s','LINE1','#01DF01',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#TCPQueryReceivedPersec\''=([0-9]*)#',300,DEFAULT,'TCPQuery',0,-1,'Queries/s','LINE1','#FF00FF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#UDPQueryReceivedPersec\''=([0-9]*)#',300,DEFAULT,'UDPQuery',0,-1,'Queries/s','LINE1','#A6A6A6',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#RecursiveQueriesPersec\''=([0-9]*)#',300,DEFAULT,'RecursiveQueries',0,-1,'Queries/s','LINE1','#58D3F7',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#WINSLookupReceivedPersec\''=([0-9]*)#',300,DEFAULT,'WINSLookup',0,-1,'Lookups/s','LINE1','#F0FF0F',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_DNS_STATS'),'GAUGE','#DynamicUpdateReceivedPersec\''=([0-9]*)#',300,DEFAULT,'DynamicUpdate',0,-1,'Updates/s','LINE1','#83bc00',NULL,NULL,NULL);
