--NAME:GESA_WMI_IO_LOGICAL
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_WMI_IO_LOGICAL','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_wmi_io_logical -a $IP _PercentBusyTime=80 _PercentBusyTime=90 C:',300000,'Test via la GESA les IOs disques via le protocole WMI (microsoft)','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WMI_IO.php','Microsoft','WMI,IO,DISK');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_PercentIdleTime=([0-9]*)#',300,DEFAULT,'disk_idle_time',0,100,'percent','LINE1','#FAAC58',3);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_PercentBusyTime=([0-9]*)#',300,DEFAULT,'disk_busy_time',0,100,'percent','LINE1','#FF0000',3);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_PercentDiskTime=([0-9]*)#',300,DEFAULT,'disk_time',0,100,'percent','LINE1','#088A4B',3);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_PercentDiskReadTime=([0-9]*)#',300,DEFAULT,'disk_read_time',0,100,'percent','LINE1','#40FF00',3);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_PercentDiskWriteTime=([0-9]*)#',300,DEFAULT,'disk_write_time',0,100,'percent','LINE1','#0000FF',3);



INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#CurrentDiskQueueLength=([0-9\.]*)#',300,DEFAULT,'disk_queue',0,-1,'lenght','LINE1','#088A4B',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_AvgDiskQueueLength=([0-9\.]*)#',300,DEFAULT,'avg_queue',0,-1,'lenght','LINE1','#FF0000',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_AvgDiskReadQueueLength=([0-9\.]*)#',300,DEFAULT,'avg_read_queue',0,-1,'lenght','LINE1','#40FF00',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_AvgDiskWriteQueueLength=([0-9\.]*)#',300,DEFAULT,'avg_write_queue',0,-1,'lenght','LINE1','#0000FF',2);

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_DiskReadBytesPersec0\s+[A-Z]\:\''=([0-9]*)#',300,DEFAULT,'disk_read_byte',0,-1,'bytes / second','AREA','#40FF00',1);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_WMI_IO_LOGICAL'),
	'GAUGE','#_DiskWriteBytesPersec0\s+[A-Z]\:\''=([0-9]*)#',300,DEFAULT,'disk_write_byte',0,-1,'bytes / second','LINE1','#0000FF',1);
