--issue #2 : Certains plugins utilisent 2 graphes de même couleur
UPDATE rrd_plugins SET rrd_graph_color ='#FF00FF' WHERE  rrd_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_IDRAC_TEMP') AND rrd_name='temperature_sys';

--issue #7 : Valeur null dans les patterns
UPDATE esia_service_pattern_included SET
included_parameter=(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name=included_name)
WHERE included_parameter IS NULL;

--issue #8 :  Erreur dans la table rrd (vertical_label)
UPDATE rrd_plugins SET rrd_vertical_label = 'Lookups/s'
WHERE rrd_name = 'Lookup/s'
AND rrd_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_WMI_DNS_STATS');

UPDATE rrd_plugins SET rrd_vertical_label = 'Updates/s'
WHERE (rrd_vertical_label ='AREA' OR rrd_vertical_label='LINE1')
AND rrd_name = 'DynamicUpdate'
AND rrd_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_WMI_DNS_STATS');

UPDATE rrd_plugins SET rrd_vertical_label = 'percent'
WHERE (rrd_vertical_label ='AREA' OR rrd_vertical_label='LINE1')
AND rrd_name = 'ram'
AND rrd_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_PC_WINDOWS_MEM');

UPDATE rrd_plugins SET rrd_vertical_label = 'percent'
WHERE (rrd_vertical_label ='ramswap' OR rrd_vertical_label='LINE1')
AND rrd_name = 'ram'
AND rrd_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name = 'GESA_SNMP_PC_WINDOWS_MEM_SWAP');

--issue #10 : Plugins GESA manquants > Remplacement des anciens check_ilo
----Corrections des paramètres de l'ensemble des services iLO de type SYSTEMHEALTH, DISKHEALTH ou TEMP
UPDATE esia_services SET service_parameter=regexp_replace(service_parameter, '-c\s+check_ilo_\S*snmp', '-c check_snmp_ilo') WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name LIKE 'GESA_ILO%');

----Corrections des noms de l'ensemble des services iLO de type SYSTEMHEALTH, DISKHEALTH ou TEMP
UPDATE esia_services SET service_name=regexp_replace(service_name, 'GESA_ILO.*_SNMP_', 'GESA_SNMP_ILO_') WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name LIKE 'GESA_ILO%');

----Liaison de l'ensemble des services iLO de type SYSTEMHEALTH, DISKHEALTH ou TEMP au nouveau pattern iLO
UPDATE esia_services SET service_included_id=(SELECT included_id FROM esia_service_pattern_included WHERE included_name='GESA_SNMP_ILO_DISKHEALTH') WHERE service_included_id IN(SELECT included_id FROM esia_service_pattern_included WHERE included_name like 'GESA_ILO%DISKHEALTH');
UPDATE esia_services SET service_included_id=(SELECT included_id FROM esia_service_pattern_included WHERE included_name='GESA_SNMP_ILO_TEMP') WHERE service_included_id IN(SELECT included_id FROM esia_service_pattern_included WHERE included_name like 'GESA_ILO%TEMP');
UPDATE esia_services SET service_included_id=(SELECT included_id FROM esia_service_pattern_included WHERE included_name='GESA_SNMP_ILO_SYSTEMHEALTH') WHERE service_included_id IN(SELECT included_id FROM esia_service_pattern_included WHERE included_name like 'GESA_ILO%SYSTEMHEALTH');

----Liaison de l'ensemble des services iLO de type SYSTEMHEALTH, DISKHEALTH ou TEMP aux nouveaux plugins iLO
UPDATE esia_services SET service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_DISKHEALTH') WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name like 'GESA_ILO%DISKHEALTH');
UPDATE esia_services SET service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_TEMP') WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name like 'GESA_ILO%TEMP');
UPDATE esia_services SET service_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_ILO_SYSTEMHEALTH') WHERE service_plugin_id IN(SELECT plugin_id FROM esia_plugins WHERE plugin_name like 'GESA_ILO%SYSTEMHEALTH');

----Suppression des anciens patterns et plugins
DELETE FROM esia_service_pattern_included WHERE included_pattern_id IN(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name IN('default_gesa_ILO','default_gesa_old_ILO'));
DELETE FROM esia_service_patterns WHERE pattern_name IN('default_gesa_ILO','default_gesa_old_ILO');
DELETE FROM esia_plugins WHERE plugin_name LIKE 'GESA_ILO%SNMP_SYSTEMHEALTH' OR plugin_name LIKE 'GESA_ILO%SNMP_DISKHEALTH' OR plugin_name LIKE 'GESA_ILO%SNMP_TEMP';

