
-- Update plugin
UPDATE esia_plugins SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_apc_pdu_health -a $IP $SNMP_COM 220'
	WHERE plugin_name='GESA_SNMP_APC_PDU_HEALTH';


-- Update rrd
UPDATE rrd_plugins SET rrd_regex='#watts=([0-9\.]*)#'
	WHERE rrd_plugin_id=(select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH') AND rrd_name='Watt';

UPDATE rrd_plugins SET rrd_regex='#KWH=([0-9\.]*)#'
	WHERE rrd_plugin_id=(select plugin_id from esia_plugins where plugin_name='GESA_SNMP_APC_PDU_HEALTH') AND rrd_name='KWattH';


-- Add new outlet plugin
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'GESA_SNMP_APC_PDU_OUTLET','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_apc_pdu_outlet -a $IP $SNMP_COM 220 "" ""',300000,'Récupère le status des prises d''un PDU APC','false',7,'','APC','PDU,APC,OUTLET');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);
