UPDATE esia_plugins 
SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP.php',plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp -a $IP $SNMP_COM 1.3.6.1.2.1.1.1.0 60 80' 
WHERE plugin_name='GESA_SNMP';

-- ILO

-- CHECK
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_snmp_hp_ilo.pl', plugin_default_parameter = '-H $IP -C $SNMP_COM -T DISKHEALTH' WHERE plugin_name = 'CHECK_ILO_SNMP_DISKHEALTH';
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_snmp_hp_ilo.pl', plugin_default_parameter = '-H $IP -C $SNMP_COM -T SYSTEMHEALTH' WHERE plugin_name = 'CHECK_ILO_SNMP_SYSTEMHEALTH';
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_snmp_hp_ilo.pl', plugin_default_parameter = '-H $IP -C $SNMP_COM -T TEMP' WHERE plugin_name = 'CHECK_ILO_SNMP_TEMP';

-- GESA
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_nrpe', plugin_default_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_diskhealth -a $IP $SNMP_COM' WHERE plugin_name = 'GESA_ILO_SNMP_DISKHEALTH';
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_nrpe', plugin_default_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_systemhealth -a $IP $SNMP_COM' WHERE plugin_name = 'GESA_ILO_SNMP_SYSTEMHEALTH';
UPDATE esia_plugins SET plugin_path = '/usr/local/esia/plugins/check_nrpe', plugin_default_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_temp -a $IP $SNMP_COM' WHERE plugin_name = 'GESA_ILO_SNMP_TEMP';

-- Pattern GESA
UPDATE esia_service_patterns SET pattern_description = 'Pattern HP pour ILO' WHERE pattern_name = 'default_gesa_ILO';
UPDATE esia_service_pattern_included SET included_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_diskhealth -a $IP $SNMP_COM' WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ILO_SNMP_DISKHEALTH');
UPDATE esia_service_pattern_included SET included_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_systemhealth -a $IP $SNMP_COM' WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ILO_SNMP_SYSTEMHEALTH');
UPDATE esia_service_pattern_included SET included_parameter = '-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_ilo_temp -a $IP $SNMP_COM' WHERE included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ILO_SNMP_TEMP');



-- SIMPLIFICATION  HTTPS_CERTIFICATE_EXPIRE 

UPDATE esia_plugins SET plugin_default_parameter = '-H $IP -p 443 -C 15,5', plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_HTTPS_CERTIFICATE_EXPIRE.php' WHERE plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_HTTPS_CERTIFICATE_EXPIRE');
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_HTTPS_CERTIFICATE_EXPIRE.php' WHERE plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_HTTPS_CERTIFICATE_EXPIRE');



  