--NAME:default_gesa_dell_idrac
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_IDRAC_TEMP,GESA_SNMP_IDRAC_DISKHEALTH,GESA_SNMP_IDRAC_SYSHEALTH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_dell_idrac','pattern de supervision des interfaces iDrac Dell');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_IDRAC_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_TEMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_idrac_temp -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_IDRAC_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_DISKHEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_idrac_diskhealth -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_IDRAC_SYSHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dell_idrac'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_IDRAC_SYSHEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_idrac_syshealth -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

