--NAME:default_gesa_dlink_switch
--INFRA:GESA
--PLUGINS:GESA_SNMP_SW_DLINK_MEM,GESA_ICMP,GESA_SNMP_SW_DLINK_LOAD,GESA_SNMP_SW_DLINK_FLASH,GESA_SNMP_SW_POE,GESA_SNMP_SW_DLINK_FAN,GESA_SNMP_SW_DLINK_TEMP,GESA_SNMP_SW_DLINK_POWER

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_dlink_switch','pattern de supervision des switch D-Link');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_MEM'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_LOAD'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_FLASH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_FLASH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_FLASH'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_POE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_POE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_POE'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_FAN'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_FAN'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_TEMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_TEMP'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'GESA_SNMP_SW_DLINK_POWER_A',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_POWER_A'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_POWER_A'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);
