--NAME:gesa_snmp_emc_isilon
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_EMC_ISILON_DISK,GESA_SNMP_EMC_ISILON_CLUSTER,GESA_SNMP_EMC_ISILON_TEMP,GESA_SNMP_EMC_ISILON_NODE,GESA_SNMP_EMC_ISILON_CPU,GESA_SNMP_EMC_ISILON_RAM,GESA_SNMP_EMC_ISILON_FAN

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'gesa_snmp_emc_isilon','pattern de supervision des EMC isilon');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_NODE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_NODE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_NODE'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_CLUSTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_CLUSTER'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_CLUSTER'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_TEMP'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_RAM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_RAM'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_CPU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_CPU'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_EMC_ISILON_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EMC_ISILON_FAN'),
	300000,3);

