--NAME:default_gesa_evision
--INFRA:GESA
--PLUGINS:GESA_SNMP_LOAD,GESA_ICMP,GESA_SNMP_LINUX_MEM,GESA_SNMP_LINUX_STORAGE,GESA_SNMP_LOAD,GESA_ICMP,GESA_SNMP_LINUX_MEM,GESA_SNMP_LINUX_STORAGE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_evision','Pattern pour les evisions ');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),'-S $GESASN -H $NRPE_HOST -t 50 -u -p 5666 -c check_snmp_load -a $IP evision_com 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_mem -a $IP evision_com 80,10 90,30',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP evision_com "^/$" 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),'-S $GESASN -H $NRPE_HOST -t 50 -u -p 5666 -c check_snmp_load -a $IP evision_com 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_mem -a $IP evision_com 80,10 90,30',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_evision'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP evision_com "^/$" 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

