--NAME:default_gesa_fujitsu
--INFRA:GESA
--PLUGINS:GESA_SNMP_FUJITSU_DISKHEALTH,GESA_SNMP_FUJITSU_SYSTEMHEALTH,GESA_SNMP_FUJITSU_TEMP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_fujitsu','pattern de supervision health des serveur Fujitsu');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_FUJITSU_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FUJITSU_DISKHEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_fujitsu_diskhealth -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_FUJITSU_SYSTEMHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FUJITSU_SYSTEMHEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_fujitsu_systemhealth -a $IP $SNMP_COM 2500 3000',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_FUJITSU_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_FUJITSU_TEMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_fujitsu_temp -a $IP $SNMP_COM 35 45',300000,NULL,NULL,NULL,NULL,NULL,3);

