--NAME:default_gesa_nas_qnap
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_QNAP_HEALTH,GESA_SNMP_QNAP_STORAGE,GESA_SNMP_LOAD,GESA_SNMP_QNAP_RAM

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_nas_qnap','Pattern pour les NAS QNAP');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_HEALTH'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_health -a $IP $SNMP_COM 50 70',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_STORAGE'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_storage -a $IP $SNMP_COM 50 70',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_QNAP_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_ram -a $IP $SNMP_COM 70 90',300000,NULL,NULL,NULL,NULL,NULL,3);

