--NAME:default_gesa_printer
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_PRINTER

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_printer','pattern de supervision des imprimantes');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_printer'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_PRINTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_printer'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_PRINTER'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_printer -a $IP $SNMP_COM 20 10',300000,NULL,NULL,NULL,NULL,NULL,2);

