--NAME:default_gesa_snmp_axis_camera
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_AXIS_CAMERA_TEMP,GESA_SNMP_INTERFACE_EASY

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_axis_camera','pattern de supervision des cameras axis');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_axis_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_AXIS_CAMERA_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_axis_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_AXIS_CAMERA_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_AXIS_CAMERA_TEMP'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_INTERFACE_EASY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_axis_camera'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_INTERFACE_EASY'),
	'-S $GESASN -H $NRPE_HOST -t 50 -u -c check_snmp_interface -a $IP $SNMP_COM 2 auto 70 80',
	300000,3);
