--NAME:default_gesa_snmp_cisco_ucs
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_CISCO_UCS_FAN,GESA_SNMP_CISCO_UCS_POWER,GESA_SNMP_CISCO_UCS_TEMPERATURE,GESA_SNMP_CISCO_UCS_DRIVE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_cisco_ucs','pattern de supervision des interfaces ucs de cisco');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_CISCO_UCS_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_FAN'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_FAN'),
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_CISCO_UCS_POWER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_POWER'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_POWER'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_CISCO_UCS_TEMPERATURE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_TEMPERATURE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_TEMPERATURE'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_CISCO_UCS_DRIVE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_DRIVE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CISCO_UCS_DRIVE'),
    300000,3);
