--NAME:default_gesa_snmp_clavister
--INFRA:GESA
--PLUGINS:GESA_SNMP_CLAVISTER_MEM,GESA_SNMP_CLAVISTER_ENV

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_clavister','pattern de supervision des firewall clavister');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_clavister'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CLAVISTER_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_clavister'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CLAVISTER_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_CLAVISTER_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CLAVISTER_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_clavister'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CLAVISTER_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_clavister_mem -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_CLAVISTER_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_clavister'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CLAVISTER_ENV'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_clavister_env -a $IP $SNMP_COM 40 45',300000,NULL,NULL,NULL,NULL,NULL,3);
