--NAME:default_gesa_snmp_sonicwall
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_LOAD,GESA_SNMP_LINUX_STORAGE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_mikrotik','pattern de supervision des mikrotiks');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LINUX_STORAGE_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),
	'--S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "main memory" 80 90',
	300000,4);


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_LINUX_STORAGE_System Disk',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_STORAGE'),
'--S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "system disk" 80 90',
	300000,4);
