--NAME:default_gesa_snmp_sonicwall
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_SONICWALL_LOAD,GESA_SNMP_SONICWALL_MEM,GESA_SNMP_SONICWALL_ACTIVE_CONNECTIONS

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_gesa_snmp_sonicwall','pattern de supervision des firewalls sonicwall');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sonicwall'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SONICWALL_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sonicwall'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_LOAD'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SONICWALL_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sonicwall'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_MEM'),
	300000,7);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'GESA_SNMP_SONICWALL_ACTIVE_CONNECTIONS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_sonicwall'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_ACTIVE_CONNECTIONS'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SONICWALL_ACTIVE_CONNECTIONS'),
	300000,7);
