--NAME:default_gesa_snmp_watchguard
--INFRA:GESA
--PLUGINS:GESA_SNMP_WATCHGUARD_LOAD,GESA_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS,GESA_SNMP_WATCHGUARD_IPSEC_TUNNELS,GESA_SNMP_WATCHGUARD_STRM_DROPPED

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_snmp_watchguard','pattern de supervision des firewalls WatchGuard');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_WATCHGUARD_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WATCHGUARD_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_watchguard_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_watchguard_active_connections -a $IP $SNMP_COM 1000 2000',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_WATCHGUARD_IPSEC_TUNNELS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WATCHGUARD_IPSEC_TUNNELS'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_watchguard_ipsec_tunnels -a $IP $SNMP_COM 10 15',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_WATCHGUARD_STRM_DROPPED',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WATCHGUARD_STRM_DROPPED'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_watchguard_strm_dropped -a $IP $SNMP_COM 10 15',300000,NULL,NULL,NULL,NULL,NULL,7);

