--NAME:default_gesa_stormshield
--INFRA:GESA
--PLUGINS:GESA_ICMP,GESA_SNMP_LINUX_MEM,GESA_SNMP_LOAD,GESA_SNMP_STORMSHIELD_VERSION,GESA_SNMP_STORMSHIELD_MODULES,GESA_SNMP_TCP_ESTABLISHED

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_gesa_stormshield','Pattern pour les parefeus Stormshields');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_ICMP'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_icmp -a $IP 200,50% 500,100%',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_mem -a $IP $SNMP_COM 80,30 90,50',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LOAD'),'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_load -a $IP $SNMP_COM 80 90',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_VERSION',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_VERSION'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u  -c check_snmp_stormshield_version -a $IP $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_STORMSHIELD_MODULES',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_STORMSHIELD_MODULES'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u  -c check_snmp_stormshield_modules -a $IP $SNMP_COM ".*" uptodate outofdate disabled none notavailable,neverstarted',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'GESA_SNMP_TCP_ESTABLISHED',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_gesa_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_TCP_ESTABLISHED'),'-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u  -c check_snmp_tcp_established -a $IP $SNMP_COM 200 300',300000,NULL,NULL,NULL,NULL,NULL,7);

