--NAME:GESA_SNMP_CYBEROAM_MEM_SWAP
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_CYBEROAM_MEM_SWAP','/usr/local/esia/plugins/check_nrpe','default','NULL','-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_cyberoam_mem_swap -a $IP $SNMP_COM 80,10 90,50',300000,'Récupère ram et swap sur le firewall','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_MEM.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_MEM_SWAP'),'GAUGE','#ram=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'ram',0,100,'percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_CYBEROAM_MEM_SWAP'),'GAUGE','#swap=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'swap',0,100,'percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
