--NAME:GESA_SNMP_HP_SAN_VSA_VOLUME_SPACE
--INFRA:GESA

INSERT INTO esia_plugins (plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_html_template,plugin_manufacturer,plugin_tag) VALUES ('GESA_SNMP_HP_SAN_VSA_VOLUME_SPACE','/usr/local/esia/plugins/check_nrpe','default','-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp_san_hp_module_space -a $IP $SNMP_COM <module> 80 90','300000','Test les SAN HP VSA, ce test retourne l''espace utilisé des volumes',NULL,'HP','HP,SAN,VSA,VOLUME,SPACE');



INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_HP_SAN_VSA_VOLUME_SPACE'),'GAUGE','#hdd=([0-9]*)#','300','hdd','0','100','percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_VOLUME_SPACE'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_VOLUME_SPACE'),'GAUGE','#used=([0-9]*)#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2);

