--NAME:GESA_SNMP_SW_INTERFACE_EASY
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_SW_INTERFACE_EASY','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -t 50 -u -c check_snmp_sw_interface -a $IP $SNMP_COM <ifindex> auto 70 80',300000,'test via la GESA, la bande passante simplifié des switch','false',3,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_INTERFACE_EASY.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#data:in=([0-9\.\,]*)#',300,DEFAULT,'in',0,-1,'bps','LINE1','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inErrors\:([0-9]*)#',300,DEFAULT,'in_errors',0,-1,'packet/s','LINE1','#FF0000',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outErrors\:([0-9]*)#',300,DEFAULT,'out_errors',0,-1,'packet','LINE1','#B80101',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outBroadcast\:([0-9]*)#',300,DEFAULT,'out_broadcast',0,-1,'packet','LINE1','#0054A8',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inUnicast\:([0-9]*)#',300,DEFAULT,'in_unicast',0,-1,'packet','LINE1','#A5DF00',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outUnicast\:([0-9]*)#',300,DEFAULT,'out_unicast',0,-1,'packet','LINE1','#088A29',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inBroadcast\:([0-9]*)#',300,DEFAULT,'in_broadcast',0,-1,'packet','LINE1','#58ACFA',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY'),'GAUGE','#data:out=([0-9\.\,]*)#',300,DEFAULT,'out',0,-1,'bps','AREA','#83bc00',NULL,NULL,NULL);
