--NAME:GESA_SNMP_WINDOWS_MEM
--INFRA:GESA

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'GESA_SNMP_WINDOWS_MEM','/usr/local/esia/plugins/check_nrpe','default',NULL,'-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_storage -a $IP $SNMP_COM "^Physical Memory$" 80 90',300000,'Récupère via la GESA la quantité de mémoire consommée par un système Windows. 
 check_nrpe -H 10.11.0.172 -p 5666 -u -t 50 -c check_snmp_storage -a 10.11.0.31 public "^Physical Memory$" 80 90','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_MEM.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_WINDOWS_MEM'),'GAUGE','#\:\s+([0-9]*)\%used#',300,DEFAULT,'ram',0,100,'percent','AREA','#83bc00',NULL,NULL,NULL);
