UPDATE esia_service_pattern_included 
SET included_name='GESA_SNMP_LINUX_MEM'
WHERE included_name = 'GESA_SNMP_LINUX_MEM  ';

UPDATE esia_service_pattern_included
SET included_name = regexp_replace(included_name, 'HP_SAN', 'HP_SAN_VSA')
WHERE included_name like '%HP_SAN%';

--------------------------

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_POWER_A'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_SW_DLINK_POWER_A')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_SW_DLINK_POWER_A';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_LINUX_MEM')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_LINUX_MEM';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_DELL_SW_ENVIRONMENT'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_DELL_SW_ENVIRONMENT')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_DELL_SW_ENVIRONMENT';

--------

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_RAID'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_RAID')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_HP_SAN_VSA_RAID';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_DISKS'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_DISKS')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_HP_SAN_VSA_DISKS';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_MODULES'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_MODULES')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_HP_SAN_VSA_MODULES';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_HP_SAN_VSA_CLUSTER';

INSERT INTO esia_service_pattern_included(
            included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
     SELECT 'GESA_SNMP_HP_SAN_VSA_CLUSTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='gesa_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_HP_SAN_VSA_CLUSTER'),
	300000,2 WHERE
    NOT EXISTS (
        SELECT included_id FROM esia_service_pattern_included WHERE included_name = 'GESA_SNMP_HP_SAN_VSA_CLUSTER'
    );

-----------

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UBIQUITI_AP_CLIENT'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UBIQUITI_AP_CLIENT')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_UBIQUITI_AP_CLIENT';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_UBIQUITI_AP_MEM'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_UBIQUITI_AP_MEM')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_UBIQUITI_AP_MEM';

------------------

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_LOAD'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_LOAD')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_EXTREME_NETWORKS_AP_LOAD';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_CLIENT'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_CLIENT')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_EXTREME_NETWORKS_AP_CLIENT';

UPDATE esia_service_pattern_included 
SET included_plugin_id = (SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_MEM'),included_parameter = (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='GESA_SNMP_EXTREME_NETWORKS_AP_MEM')
WHERE included_plugin_id is null AND included_name = 'GESA_SNMP_EXTREME_NETWORKS_AP_MEM';
