--              VICTOR          --

-- PRINTER (Correction regex pour le graph des cartouches)
UPDATE rrd_plugins
   SET rrd_regex='#\([bB]lack\)\s+State\:\s+([0-9\.]*)\%#'
 WHERE rrd_regex='#\([bB]lack\)\s State\:\s ([0-9]*)\%#'
AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#\([cC]yan\)\s+State\:\s+([0-9\.]*)\%#'
 WHERE rrd_regex='#\([cC]yan\)\s State\:\s ([0-9]*)\%#'
AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#\([mM]agenta\)\s+State\:\s+([0-9\.]*)\%#'
 WHERE rrd_regex='#\([mM]agenta\)\s State\:\s ([0-9]*)\%#'
AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#\([yY]ellow\)\s+State\:\s+([0-9\.]*)\%#'
 WHERE rrd_regex='#\([yY]ellow\)\s State\:\s ([0-9]*)\%#'
AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

--      Simplification de plugins       --
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='GESA_SNMP_ZYXEL_USG_LOAD';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='GESA_SNMP_ZYXEL_USG_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='GESA_SNMP_ZYXEL_USG_FLASH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='GESA_SNMP_ZYXEL_USG_SESS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_WMI_EVENTLOG.php' WHERE plugin_name='GESA_WMI_EVENTLOG';

-- Augmentation du seuil du nombre de sessions sur routeurs zyxel
UPDATE esia_plugins SET plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_zyxel_sess -a $IP $SNMP_COM 500 1000' WHERE plugin_name='GESA_SNMP_ZYXEL_USG_SESS';
