UPDATE esia_service_pattern_included 
SET included_name='GESA_SNMP_QNAP_RAM',included_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_qnap_ram -a $IP $SNMP_COM 70 90',included_priority=3,included_plugin_id=(SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP_QNAP_RAM')
WHERE included_name='GESA_SNMP_QNAP_MEM';


-- MODIFICATION PATTERN APACHE_HTTP -I en -H
UPDATE esia_service_pattern_included
   SET included_parameter='-H $IP -p 80 -c 2.0 -w 3.0'
 WHERE included_pattern_id=(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='apache_http') 
 AND included_plugin_id =(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_HTTP');


-- PRINTER CARTOUCHES CORRECTIF
-- (Correction regex pour le graph des cartouches)
UPDATE rrd_plugins
   SET rrd_regex='#[Bb]lack.*[sS]tate\:\s+([0-9\.]*)\%#'
 WHERE (rrd_regex='#\([bB]lack\)\s+State\:\s+([0-9\.]*)\%#'
	OR rrd_regex='#\([bB]lack\)\s+State\:\s+([0-9]*)\%#'
	OR rrd_regex='#\([bB]lack\)\s State\:\s ([0-9]*)\%#')
	AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#[cC]yan.*[sS]tate\:\s+([0-9\.]*)\%#'
 WHERE (rrd_regex='#\([cC]yan\)\s+State\:\s+([0-9\.]*)\%#'
	OR rrd_regex='#\([cC]yan\)\s+State\:\s+([0-9]*)\%#'
	OR rrd_regex='#\([cC]yan\)\s State\:\s ([0-9]*)\%#')
	AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#[mM]agenta.*[sS]tate\:\s+([0-9\.]*)\%#'
 WHERE (rrd_regex='#\([mM]agenta\)\s+State\:\s+([0-9\.]*)\%#'
	OR rrd_regex='#\([mM]agenta\)\s+State\:\s+([0-9]*)\%#'
	OR rrd_regex='#\([mM]agenta\)\s State\:\s ([0-9]*)\%#')
	AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));

UPDATE rrd_plugins
   SET rrd_regex='#[yY]ellow.*[sS]tate\:\s+([0-9\.]*)\%#'
 WHERE (rrd_regex='#\([yY]ellow\)\s+State\:\s+([0-9\.]*)\%#'
	OR rrd_regex='#\([yY]ellow\)\s+State\:\s+([0-9]*)\%#'
	OR rrd_regex='#\([yY]ellow\)\s State\:\s ([0-9]*)\%#')
	AND rrd_plugin_id IN (select plugin_id from esia_plugins where plugin_name IN ('GESA_SNMP_PRINTER','CHECK_SNMP_PRINTER'));
