UPDATE esia_service_pattern_included SET included_parameter='-u ' || included_parameter WHERE included_parameter NOT LIKE '%-u%' AND included_name LIKE 'GESA%';
UPDATE esia_plugins SET plugin_default_parameter='-u ' || plugin_default_parameter WHERE plugin_default_parameter NOT LIKE '%-u%' AND plugin_name LIKE 'GESA%' AND plugin_name NOT LIKE '%PRINTER_PAGE%';
UPDATE esia_services SET service_parameter='-u ' || service_parameter WHERE service_parameter NOT LIKE '%-u%' AND service_name LIKE 'GESA%' AND service_name NOT LIKE '%PRINTER_PAGE%';

--SIMPLIFICATION GESA_SNMP
UPDATE esia_plugins
SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP.php',plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp -a $IP $SNMP_COM 1.3.6.1.2.1.1.1.0 60 80'
WHERE plugin_name='GESA_SNMP';


UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='GESA_SNMP_SYNOLOGY_DISKHEALTH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php',plugin_default_parameter='-S $GESASN -H $NRPE_HOST -p 5666 -u -t 50 -c check_snmp_syno_syshealth -a $IP $SNMP_COM 55 60' WHERE plugin_name='GESA_SNMP_SYNOLOGY_SYSHEALTH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_DNS.php' WHERE plugin_name='GESA_DNS';

INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold) VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_PROCESS'), 'GAUGE', '#Mem\s:\s(\S+)M.*#', 300, DEFAULT, 'Ram', 0, -1, 'Mb', 'AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');
INSERT INTO rrd_plugins(rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold, rrd_graph_num) VALUES ((select plugin_id from esia_plugins where plugin_name='GESA_SNMP_PROCESS'), 'GAUGE', '#Cpu\s:\s(\S+)\%#', 300, DEFAULT, 'CPU', 0, 100, 'percents', 'AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#','2');
